/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package Prog6;

import java.util.Scanner;


public class Main {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.print("Введите количество матриц: ");
        int amount = scanner.nextInt();
        System.out.print("Введите размер матриц: ");
        int size = scanner.nextInt();
        System.out.println("Ваша матрица имеет такие параметры: ");
        System.out.println(amount + " " + size);

        Generation[] matrixx = new Generation[amount];
        for (int i = 0; i < amount; i++) {
            matrixx = new Generation(size);
        }
        long time = System.currentTimeMillis();

        Multiplication multy = new Multiplication();
        int[][] matrix2 = matrix[0].getMatrix();

        for (int i = 1; i < amount; i++){
            matrix2 = multy.multiplication(matrix2, matrixx[i].getMatrix());
        }

        System.out.println((System.currentTimeMillis() - time) + " Milliseconds");
        System.out.println("----------------------------");

        for (int i = 0; i < size; i++) {
            for (int j = 0; j < size; j++) {
                System.out.print(matrix2[i][j]);
            }
            System.out.println();
        }
        System.out.println();
    }

}
